> For the complete documentation index, see [llms.txt](https://docs.elastiflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elastiflow.com/trapcoll/configuration/receiving-traps/input_trap.md).

# Trap Listener Input

NetObserv SNMP Trap listens for metrics, status and other telemetry data sent by network devices using SNMP.

#### EF\_INPUT\_TRAP\_LISTENER\_IP

This configuration specifies the IP address on which the SNMP Trap listener will listen for incoming SNMP Traps.

* Default
  * `0.0.0.0`

#### EF\_INPUT\_TRAP\_LISTENER\_PORT

This configuration specifies the port for the SNMP Trap listener to bind itself to.

* Default
  * `162`

#### EF\_INPUT\_TRAP\_LISTENER\_NORMALIZER\_POOL\_SIZE

This configuration specifies the size of the pool of normalizer workers that will be initialized to process incoming SNMP Traps.

* Minimum Value
  * `1`
* Default
  * `3`

#### EF\_INPUT\_TRAP\_LISTENER\_TRANSPORT

This configuration specifies the transport protocol to be used by the SNMP Trap listener.

* Valid Values
  * `udp`, `tcp`
* Default
  * `udp`

#### EF\_INPUT\_TRAP\_LISTENER\_AUTHORITATIVE\_ENGINE\_ID

This configuration specifies the authoritative engine ID to be used by the SNMP Trap listener.

* Default
  * `authoritative_engine_id`

#### EF\_INPUT\_TRAP\_LISTENER\_CREDENTIALS\_DIRECTORY\_PATH

This setting specifies the path to the directory where the [Listener Credentials](/trapcoll/configuration/receiving-traps/credentials.md) definitions files are located.

* Default
  * `/etc/elastiflow/snmp/traps/credentials`

#### EF\_INPUT\_TRAP\_LISTENER\_DEVICE\_STORE\_PATH

This setting specifies the path to the directory where the [Listener Devices](/trapcoll/configuration/receiving-traps/devices.md) definitions files are located.

* Default
  * `/var/lib/elastiflow/trapcoll/devices.yml`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.elastiflow.com/trapcoll/configuration/receiving-traps/input_trap.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
